const system = require("../../../system");
const ServiceBase = require("../../svems.base");
var settings = require("../../../../config/settings");

class BusinessscopeService extends ServiceBase {
  constructor() {
    super();
  }

  async page(params) {
    return await this.callms("common", "businessscopePage", params);
  }

  async listbusinessscopeAll(params){
    return await this.callms("common", "listbusinessscopeAll",params);
  }

  async info(params) {
    return await this.callms("common", "businessscopeInfo", params);
  }

  async save(params) {
    return await this.callms("common", "businessscopeSave", params);
  }

  async del(params) {
    return await this.callms("common", "businessscopeDelete", params);
  }

  async byDomicile(params) {
    return await this.callms("common", "businessscopeByDomicileId", params);
  }
}
module.exports = BusinessscopeService;
